Loading...
Searching...
No Matches
Opm::StandardWellEval< FluidSystem, Indices > Class Template Reference

## Public Types

using | EvalWell = typename PrimaryVariables::EvalWell
using | Eval = DenseAd::Evaluation<Scalar, Indices::numEq>
using | BVectorWell = typename StandardWellEquations<Scalar, IndexTraits, Indices::numEq>::BVectorWell

## Public Member Functions

const StandardWellEquations< Scalar, IndexTraits, Indices::numEq > & | linSys () const
| Returns a const reference to equation system.

## Protected Types

using | Scalar = typename FluidSystem::Scalar
using | IndexTraits = typename FluidSystem::IndexTraitsType
using | PrimaryVariables = StandardWellPrimaryVariables<FluidSystem,Indices>
using | StdWellConnections = StandardWellConnections<FluidSystem,Indices>

## Protected Member Functions

| StandardWellEval (const WellInterfaceIndices< FluidSystem, Indices > &baseif)
EvalWell | extendEval (const Eval &in) const
void | computeAccumWell ()
ConvergenceReport | getWellConvergence (const WellState< Scalar, IndexTraits > &well_state, const std::vector< Scalar > &B_avg, const Scalar maxResidualAllowed, const Scalar tol_wells, const Scalar relaxed_tolerance_flow, const bool relax_tolerance, const bool well_is_stopped, std::vector< Scalar > &res, DeferredLogger &deferred_logger) const
void | init (std::vector< Scalar > &perf_depth, const std::vector< Scalar > &depth_arg, const bool has_polymermw)

## Protected Attributes

const WellInterfaceIndices< FluidSystem, Indices > & | baseif_
PrimaryVariables | primary_variables_
| Primary variables for well.
std::vector< Scalar > | F0_
StandardWellEquations< Scalar, IndexTraits, Indices::numEq > | linSys_
| Linear equation system.
StdWellConnections | connections_
| Connection level values.

## Static Protected Attributes

static constexpr int | Bhp = PrimaryVariables::Bhp
static constexpr int | WQTotal = PrimaryVariables::WQTotal
static constexpr int | numWellConservationEq = PrimaryVariables::numWellConservationEq
static constexpr bool | has_wfrac_variable = PrimaryVariables::has_wfrac_variable
static constexpr bool | has_gfrac_variable = PrimaryVariables::has_gfrac_variable
static constexpr int | WFrac = PrimaryVariables::WFrac
static constexpr int | GFrac = PrimaryVariables::GFrac
static constexpr int | SFrac = PrimaryVariables::SFrac

The documentation for this class was generated from the following files:

- opm/simulators/wells/StandardWellEval.hpp
- opm/simulators/wells/StandardWellEval.cpp